Page MenuHomePhabricator

Update image request for new license parameter
Closed, ResolvedPublic

Description

See linked ticket T152216

Event Timeline

JMinor created this task.Jan 23 2017, 6:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 23 2017, 6:31 PM
JMinor triaged this task as High priority.Jan 23 2017, 6:32 PM
JMinor moved this task from Needs Triage to Product Backlog on the Wikipedia-iOS-App-Backlog board.

Lets start by enabling pilicense=any for requests to mobile frontend. We may have a second pass with geographic/policy based restrictions for some uses.

JoeWalsh claimed this task.Feb 23 2017, 5:55 PM
JoeWalsh moved this task from Ready for Development to Doing on the iOS-app-v5.4.0-Hiking-Boot board.
JoeWalsh removed JoeWalsh as the assignee of this task.Mar 2 2017, 7:47 PM
JoeWalsh added a subscriber: JoeWalsh.

Based on reading the closed/linked ticket (below). I added some testcases to the iOS Test Case document. Mostly checking for pages with mixed free and non-free (Avatar Film 2009) and no free images (Bill Clinton) and all free images (Fair Use). Moving to Need QA.

https://phabricator.wikimedia.org/T152216

Nicholas.tsg added a subscriber: Nicholas.tsg.EditedMar 5 2017, 1:21 AM

Hi @JMinor is it possible to write a series of steps presenting a scenario I can recreate and if I need a specific iOS device to do it on? That would help me to contribute.

@Nicholas.tsg - These are the tests I've added to the testcases document. Hopefully, this helps:

  1. Search for Avatar (film 2009). View the image in the search result. Tap the article. Tap the lead image. Scroll images. Verify both free and non-free images appear.
  2. Search for Bill Clinton. View the image in the search result. Tap the article. Tap the lead image. Scroll images. Verify both free and non-free images appear.
  3. Search for Fair Use. View the image in the search result. Tap the article. Tap the lead image. Scroll images. Verify both free and non-free images appear.

As mentioned earlier: checking for pages with mixed free and non-free (Avatar Film 2009) and no free images (Bill Clinton) and all free images (Fair Use)

Testing on iPhone 7 (iOS 10.2) and Wikipedia app 5.4.0 (1084). Tests seem to be fixed and working as expected.

In Step 1, both free and non-free images appear for the Avatar page:

In Step 2, both free (copyright with slash thru it) and non-free? (Creative Commons) images appear for the Bill Clinton page:

In Step 3, the Fair Use page is all free images as expected:

JMinor closed this task as Resolved.Mar 20 2017, 6:06 PM